<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Processo extends Model
{
    protected $table = 'sige.processos';
    // protected $fillable = ['id', 'ativo', 'criado_por_id', 'descricao', 'dhc', 'dhm', 'etapa_id', 'lote_id',
    //     'modificado_por_id', 'pendencia_id', 'sem_pendencia', 'situacao', 'conferido',
    //     'data_conferencia', 'conferido_por_id'];

    public function search($filter = null)
    {
        $results = $this->where(function ($query) use ($filter) {
            if ($filter) {
                $query->where('descricao', 'LIKE', "%{$filter}%");
            }
        }) //->toSql();
            ->paginate();
        return $results;
    }

}
